
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Defaults]
command.time = 15
command.buffer.time = 1

;-|  AI  |-----------------------------AI---------------------------------

[Command]
name = "AI_1"
command = U,D,F,F,B,B
time = 1

[Command]
name = "AI_2"
command = U,D,F,F,B,F
time = 1

[Command]
name = "AI_3"
command = U,D,F,F,B,D
time = 1

[Command]
name = "AI_4"
command = U,D,F,F,B,U
time = 1

[Command]
name = "AI_5"
command = U,D,F,F,U,B
time = 1

[Command]
name = "AI_6"
command = U,D,F,F,D,B
time = 1

[Command]
name = "AI_7"
command = U,D,F,F,F,B
time = 1

[Command]
name = "AI_8"
command = D,D,F,F,D,B
time = 1

[Command]
name = "AI_9"
command = D,D,F,F,F,B
time = 1

[Command]
name = "AI_10"
command = F, D, B, U
time = 1

[Command]
name = "AI_11"
command = F, U, B, D
time = 1

[Command]
name = "AI_12"
command = F, F, F, F, F, B, U, U
time = 1

[Command]
name = "AI_13"
command = U, U, D, D, F, F, U
time = 1

[Command]
name = "AI_14"
command = U, D, U, D, U, D
time = 1

[Command]
name = "AI_15"
command = F, F, B, B, U, D, U
time = 1

[Command]
name = "AI_16"
command = B, D, D, U, F, D, D
time = 1

[Command]
name = "AI_17"
command = D, D, U, U, U, U, U, U
time = 1

[Command]
name = "AI_18"
command = D, D, D, D, D, D, D, U, U
time = 1

[Command]
name = "AI_19"
command = D, U, D, D, F, D, D, U, U
time = 1

[Command]
name = "AI_20"
command = D, D, D, D, B, D, D, U, U
time = 1



;-| 超杀 |---------------------------hypers-------------------------------


;-| 必杀 |---------------------------Special------------------------------

[Command]
name = "十字军打击"
command = ~D, F, x
time = 15

[Command]
name = "神圣风暴"
command = ~D, F, y
time = 15


[Command]
name = "圣光术"
command = ~D, B, c
time = 15


;-| 控制 |---------------------------------------------------------
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "cd"
command = b+y
time = 1

;------------------------------------------------------------------------------
;-| 按键组合 |-----------------------------------------------------------------
[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "helper"
command = y+a
time = 10

[Command]
name = "roll"
command = x+a
time = 1

[Command]
name = "roll"
command = z
time = 1

[command]
name = "CD"
command = b+y
time = 2

[command]
name = "CD"
command = c
time = 2

[Command]
name = "jump"
command = ~$D,$U
time = 8

[Command]
name = "longjump"
command = D, $U
time = 18

[Command]
name = "downback"
command = DB
time = 1


[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "downfwd_a"
command = /DF,a
time = 1

[Command]
name = "downfwd_x"
command = /DF,x
time = 1

[Command]
name = "downfwd_b"
command = /DF,b
time = 1

[Command]
name = "downfwd_y"
command = /DF,y
time = 1

[Command]
name = "downfwd_c"
command = /DF,c
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "roll"
command = x+a
time = 1

[Command]
name = "knockdown"
command = y+b
time = 1


;------------------------------------------------------------------------------
;-| 按键设定 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1


[Command]
name = "hold_c"
command = /c

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;----------------------------------------------------
[Statedef -1]

;----------------------------------------------------
; 圣盾术
[State -1, 圣盾术]
type = ChangeState
value = ifelse(statetype = A,3010,3000)
triggerall = var(59) = 0
;triggerall = ctrl
triggerall = var(12) = 0
;triggerall = numhelper(3001) = 0
trigger1 = command = "a" && command = "c"
trigger2 = command = "b" && command = "c"

;----------------------------------------------------
; 制裁之锤
[State -1, 制裁之锤]
type = ChangeState
value = 3100
triggerall = var(22) >= 3
triggerall = var(20) >= 3
triggerall = var(59) = 0
triggerall = statetype = S  && ctrl
;triggerall = power >= 2000
trigger1 = command = "x" && command = "z"
trigger2 = command = "y" && command = "z"

;----------------------------------------------------
; 愤怒之锤 2
[State -1, 愤怒之锤]
type = ChangeState
value = 1103
triggerall = var(22) >= 1
triggerall = var(20) >= 1
triggerall = var(59) = 0
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = command ="holdfwd" && command = "z"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 审判
[State -1, 审判]
type = ChangeState
value = 1000
triggerall = var(20) >= 1
triggerall = var(59) = 0
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = command ="holdback" && command = "z"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 愤怒之锤
[State -1, 愤怒之锤]
type = ChangeState
value = 1100
triggerall = var(22) >= 1
triggerall = var(59) = 0
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = command = "z"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 十字军打击
[State -1, 十字军打击]
type = ChangeState
value = 1200
triggerall = var(20) >= 1
triggerall = var(22) >= 1
triggerall = var(59) = 0
triggerall = command = "十字军打击"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 300 && movecontact

;----------------------------------------------------
; 神圣风暴
[State -1, 神圣风暴]
type = ChangeState
value = 1300
triggerall = var(20) >= 2
triggerall = var(59) = 0
triggerall = command = "神圣风暴"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;----------------------------------------------------
; 圣光术
[State -1, 圣光术]
type = ChangeState
value = 1500
triggerall = var(20) >= 3
triggerall = var(59) = 0
triggerall = command = "圣光术"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 圣光闪现
[State -1, 圣光闪现]
type = ChangeState
value = 1400
triggerall = var(20) >= 2
triggerall = var(59) = 0
triggerall = command = "c"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = stateno != 1500
trigger1 = stateno != 1400


;----------------------------------------------------
;空中 圣光闪现
[State -1, 空中圣光闪现]
type = ChangeState
value = 2000
triggerall = var(20) >= 2
triggerall = var(59) = 0
triggerall = numhelper(1602) != 0
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl

;----------------------------------------------------
; 命令圣印
[State -1, 命令圣印]
type = ChangeState
value = 1700 + (var(10) = 2)
triggerall = ifelse(var(10)=2, var(22)>=0,var(22) >= 1)
triggerall = var(59) = 0
triggerall = command = "holdback" && command = "a"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;----------------------------------------------------
; 光明圣印
[State -1, 光明圣印]
type = ChangeState
value = 1600 + (var(10) = 1)
triggerall = ifelse(var(10)=1, var(20)>=0,var(20) >= 1)
triggerall = var(20) >= 1
triggerall = var(59) = 0
triggerall = command = "a"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact


;----------------------------------------------------
; 力量祝福
[State -1, 力量祝福]
type = ChangeState
value = 1900 + (numexplod(21901) != 0)
triggerall = ifelse(numexplod(21901) != 0, var(22)>=0,var(22) >= 1)
triggerall = var(59) = 0
triggerall = command = "holdback" && command = "b"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;----------------------------------------------------
; 智慧祝福
[State -1, 智慧祝福]
type = ChangeState
value = 1800 + (numexplod(21801) != 0)
triggerall = ifelse(numexplod(21801) != 0, var(20)>=0,var(20) >= 1)
triggerall = var(59) = 0
triggerall = command = "b"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;---------------------------------------------------------------------------
;蹲下轻斩
[State -1, 蹲下轻斩]
type = ChangeState
value = 300
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;蹲下重斩
[State -1, 蹲下重斩]
type = ChangeState
value = 310
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;普通投
[State -1, 普通投]
type = ChangeState
value = 800
triggerall = statetype = S
triggerall = p2movetype != H
triggerall = ctrl && stateno != 100
triggerall = p2statetype != A && p2bodydist X < 15
trigger1 = command = "holdfwd" && command = "y"
trigger2 = command = "holdback" && command = "y"

;----------------------------------------------------
; 站立轻斩
[State -1, 站立轻斩]
type = ChangeState
value = ifelse(p2bodydist x < 25,205,200)
triggerall = var(59) = 0
triggerall = command = "x"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 站立重斩
[State -1, 站立重斩]
type = ChangeState
value = ifelse(p2bodydist x < 30,215,210)
triggerall = var(59) = 0
triggerall = command = "y"
trigger1 = statetype = S
trigger1 = ctrl

;----------------------------------------------------
; 空中斩
[State -1, 空中斩]
type = ChangeState
value = 400
triggerall = var(59) = 0
triggerall = command = "x" | command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;----------------------------------------------------
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Run stop]
type = ChangeState
value = 105
triggerall = var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1



;-----------------------------AIAIAIAI---------------------------

[State -1, 站站贴]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X < 60
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 1

[State -1, 站站近]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 60
triggerall = p2dist X < 120
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 2

[State -1, 站站中]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 120
triggerall = p2dist X < 180
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 3

[State -1, 站站远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 180
triggerall = p2dist X < 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 4

[State -1, 站站很远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 5

[State -1, 空站贴]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X < 60
trigger1 = statetype = A
var(58) = 6

[State -1, 空站近]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 60
triggerall = p2dist X < 120
trigger1 = statetype = A
var(58) = 7

[State -1, 空站中]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 120
triggerall = p2dist X < 180
trigger1 = statetype = A
var(58) = 8

[State -1, 空站远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 180
triggerall = p2dist X < 240
trigger1 = statetype = A
var(58) = 9

[State -1, 空站很远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype != L
triggerall = p2statetype != A
triggerall = p2dist X >= 240
trigger1 = statetype = A
var(58) = 10

[State -1, 站空贴]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X < 60
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 11

[State -1, 站空近]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X >= 60
triggerall = p2dist X < 120
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 12

[State -1, 站空中]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X >= 120
triggerall = p2dist X < 180
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 13

[State -1, 站空远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X >= 180
triggerall = p2dist X < 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 14

[State -1, 站空很远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X >= 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 15

[State -1, 站倒贴]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = A
triggerall = p2dist X < 60
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 16

[State -1, 站倒近]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = L
triggerall = p2dist X >= 60
triggerall = p2dist X < 120
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 17

[State -1, 站倒中]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = L
triggerall = p2dist X >= 120
triggerall = p2dist X < 180
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 18

[State -1, 站倒远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = L
triggerall = p2dist X >= 180
triggerall = p2dist X < 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 19

[State -1, 站倒很远]
type = VarSet
triggerall = var(59) = 1
triggerall = p2statetype = L
triggerall = p2dist X >= 240
trigger1 = statetype = S
trigger2 = statetype = C
var(58) = 20


; 圣光术
[State -1, 圣光术]
type = ChangeState
value = 1500
triggerall = var(20) >= 3
triggerall = var(59) = 1
triggerall = numhelper(3001) = 1
triggerall = stateno != 1500
triggerall = life < 800
trigger1 = statetype = S
trigger1 = ctrl

[State -1,]
type = CtrlSet
value = 0
triggerall = var(59) = 1
trigger1 = stateno = 1500

[State -1,]
type = CtrlSet
value = 0
triggerall = var(59) = 1
trigger1 = stateno = 1501


;站防普及型

[state -1,]
type = ChangeState
value = 151
triggerall = var(59) = 1
triggerall = ctrl
triggerall = numhelper(3001) = 0
triggerall = p2statetype = S
triggerall = p2movetype = A
triggerall = inguarddist
trigger1 = statetype = S
trigger2 = statetype = C

;蹲防普及型

[state -1,]
type = ChangeState
value = 153
triggerall = var(59) = 1
triggerall = ctrl
triggerall = numhelper(3001) = 0
triggerall = p2statetype = C
triggerall = p2movetype = A
triggerall = inguarddist
trigger1 = statetype = S
trigger2 = statetype = C

;随机x

[state -1,]
type = ChangeState
value = 200
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random > 970
trigger1 = p2dist X < 150
trigger1 = p2bodydist X > 20

;随机2x

[state -1,]
type = ChangeState
value = 300
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = p2statetype = S
triggerall = statetype = S
trigger1 = ctrl
trigger1 = random > 940
trigger1 = var(58) = 1 
trigger2 = ctrl
trigger2 = random > 940
trigger2 = var(58) = 2 

;投

[state -1,]
type = ChangeState
value = 800
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = stateno != 800
triggerall = statetype = S
triggerall = p2statetype != A && p2bodydist X < 20
triggerall = p2statetype != L
trigger1 = ctrl
trigger1 = random > 800
trigger1 = p2stateno < 3000

;审判

[state -1,]
type = ChangeState
value = 1000
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = var(20) >= 1
triggerall = statetype = S
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = ctrl
trigger1 = p2statetype = C
trigger1 = random > 960
trigger2 = p2dist X < 100
trigger2 = p2statetype = A
trigger2 = random > 800


;随机飞锤

[state -1,]
type = ChangeState
value = 1100
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = p2statetype = S
triggerall = statetype = S
triggerall = var(22) >= 1
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = ctrl
trigger1 = random > 940
trigger1 = p2dist X > 100 
 

;随机飞锤2

[state -1,]
type = ChangeState
value = 1103
triggerall = var(59) = 1
triggerall = p2stateno != 5120
triggerall = p2statetype = S
triggerall = statetype = S
triggerall = var(22) >= 1
triggerall = var(20) >= 1
triggerall = numhelper(1104) = 0
triggerall = numhelper(1101) = 0
triggerall = numhelper(1001) = 0
triggerall = ctrl
trigger1 = random > 940
trigger1 = p2dist X > 100 

; 圣盾术
[State -1,]
type = ChangeState
value = ifelse(statetype = A,3010,3000)
triggerall = var(59) = 1
triggerall = var(12) = 0
triggerall = stateno != 3000
trigger1 = p2stateno >= 3000
trigger1 = p2stateno < 4000
trigger1 = movetype = H
trigger2 = life < 200

;----------------------------------------------------
; 命令圣印
[State -1, 命令圣印]
type = ChangeState
value = 1700 + (var(10) = 2)
triggerall = ifelse(var(10)=2, var(22)>=0,var(22) >= 1)
triggerall = var(22) >= 1
triggerall = var(59) = 1
triggerall = var(10) = 0
triggerall = random > 990
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;----------------------------------------------------
; 光明圣印
[State -1, 光明圣印]
type = ChangeState
value = 1600 + (var(10) = 1)
triggerall = ifelse(var(10)=1, var(20)>=0,var(20) >= 1)
triggerall = var(20) >= 1
triggerall = var(59) = 1
triggerall = var(10) = 0
triggerall = random > 990
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact


;----------------------------------------------------
; 力量祝福
[State -1, 力量祝福]
type = ChangeState
value = 1900 + (numexplod(21901) != 0)
triggerall = ifelse(numexplod(21901) != 0, var(22)>=0,var(22) >= 1)
triggerall = var(22) >= 1
triggerall = var(59) = 1
triggerall = var(10) = 0
triggerall = random > 990
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;----------------------------------------------------
; 智慧祝福
[State -1, 智慧祝福]
type = ChangeState
value = 1800 + (numexplod(21801) != 0)
triggerall = ifelse(numexplod(21801) != 0, var(20)>=0,var(20) >= 1)
triggerall = var(20) >= 1
triggerall = var(59) = 1
triggerall = var(10) = 0
triggerall = random > 990
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 205 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 215 && movecontact

;x接236x

[state -1,]
type = ChangeState
value = 1200
triggerall = var(59) = 1
triggerall = stateno = 200 && movecontact
triggerall = p2movetype = H
triggerall = p2statetype != A
triggerall = var(20) >= 1
triggerall = var(22) >= 1
trigger1 = AnimElem = 5, >= 0
trigger1 = p2stateno != 150
trigger1 = p2stateno != 151
trigger1 = p2stateno != 152
trigger1 = p2stateno != 153

;2x接236x

[state -1,]
type = ChangeState
value = 1200
triggerall = var(59) = 1
triggerall = stateno = 300 && movecontact
triggerall = p2movetype = H
triggerall = p2statetype != A
triggerall = var(20) >= 1
triggerall = var(22) >= 1
trigger1 = AnimElem = 5, >= 0
trigger1 = p2stateno != 150
trigger1 = p2stateno != 151
trigger1 = p2stateno != 152
trigger1 = p2stateno != 153

;空中 圣光闪现
[State -1, 空中圣光闪现]
type = ChangeState
value = 2000
triggerall = var(20) >= 2
triggerall = var(59) = 1
triggerall = numhelper(1602) != 0
trigger1 = statetype = A
trigger1 = ctrl

; 圣光闪现
[State -1, 圣光闪现]
type = ChangeState
value = 1400
triggerall = var(20) >= 2
triggerall = var(59) = 1
triggerall = numhelper(1602) != 0
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = stateno != 1500
trigger1 = stateno != 1400

;bug消除

[state -1,]
type = PosSet
y = 0
triggerall = var(59) = 1
triggerall = Pos Y != 0
;trigger1 = statetype = S
trigger1 = stateno = 0
trigger2 = stateno = 20
trigger3 = stateno = 100 
